/******************************************************************************
 * resecure - resecure file permissions after system upgrade
 * Copyright (C) 2000  Bill Marquette <billm@danger.ms>
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *****************************************************************************/

#ifndef DLLIST_H
#define DLLIST_H

struct Node_ {
  void *data;
  struct Node_ *prev, *next;
};
typedef struct Node_ Node;
typedef Node *NodePtr;

struct List_ {
  Node *head;
  Node *tail;
  Node *current;
  unsigned long listsize;      /* Number of records */
  unsigned long current_index; /* Index number of current pointer */
};
typedef struct List_ List;
typedef List *ListPtr;


ListPtr add_to_list(void *data, int sizeofdata, NodePtr node, ListPtr list);
void free_list(ListPtr list);
ListPtr get_next_node(ListPtr list);
void set_list_to_head(ListPtr list);

#endif
